Subject: [CDNi] Liaison Statement on URI Signing for MPEG-DASH

From: Xinwang <[email-masked]>
Date: Wed, 19 Nov 2014 05:26:17 +0000

Hi everyone,

This is  Xin Wang. I just managed to join this reflector (thanks to Ray Brandenburg's encouragement). I am one of the coordinators of the URI Signing Core Experiment (CE) at MPEG DASH - the other is Emmanuel Thomas from TNO; we drafted the liaison statement on URI signing from MPEG DASH to IETF CDNi.

Lately, I have been monitoring this thread in the reflector archive, and see a few questions and issues that I may be able to help clarifying.

Let me start with the latest one on whether the DASH manifest MPD contains absolute URLs for segments. In general, MPD supports listing all absolute URLs, but also provides more compact forms, URL templates, to allow the DASH client to construct absolute URLs for requesting segments; namely, a URL template is a URL containing some specific identifiers that can be substituted by dynamic values assigned to segments to create a list of segment URLs. For example, the following URL template

http://cdn1.example.com/aMovie/video/$Number$.mp4v

has an identifier $Number$ that can be substituted by actual segment numbers (by the DASH client), to create a list (or range) of segment URLs, like

http://cdn1.example.com/aMovie/video/1.mp4v
http://cdn1.example.com/aMovie/video/2.mp4v
...

Clearly, this kind of URL templates have their advantages over listing absolute URLs, especially when dealing with long or live content (where listing all absolute URLs in advance is either inefficient or not feasible).

So, when coming to URI signing, we also need to consider how to deal with the URL template case.

This is long enough for my first post to this reflector, so I stop here today. I look forward to working with you all on this URI signing task.

Best,

-- Xin